export const URL_BASE = "https://git.monoid.top";
export const TOKEN_NAME = "oauth2cli";
export const CREDENTIALS_FILE = `${Deno.env.get("HOME") || ""}/.oauth2cli-forgejo`;

export type Token = {
    id: number,
    name: string,
    scopes: string[],
    sha1: string,
    token_last_eight: string,
}

export type Oauth2Application = {
    id: number,
    name: string,
    redirect_uris: string[],
    client_id: string,
    client_secret: string,
    confidential_client: boolean,
    /**
     * @format date-time
     */
    created: string,
}
